Package com.ads.api.beans.mm.helper

# Enum Class MappingImportHelper.ImportType

java.lang.Object
java.lang.Enum<MappingImportHelper.ImportType>
com.ads.api.beans.mm.helper.MappingImportHelper.ImportType

All Implemented Interfaces:
  `Serializable`, `Comparable<MappingImportHelper.ImportType>`, `Constable`

Enclosing class:
  MappingImportHelper

public static enum MappingImportHelper.ImportType extends Enum<MappingImportHelper.ImportType>
The constants of this enumerated type provides a simple classification of the declared elements. These constants are used to specify the ImportType such as APPEND_TO_EXISTING, DELETE_AND_RELOAD.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `APPEND_TO_EXISTING`
  APPEND_TO_EXISTING ImportType is used to refer when the ImportType we use is APPEND_TO_EXISTING.
  `DELETE_AND_RELOAD`
  DELETE_AND_RELOAD ImportType is used to refer when the ImportType we use is DELETE_AND_RELOAD.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MappingImportHelper.ImportType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MappingImportHelper.ImportType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### APPEND_TO_EXISTING

    public static final MappingImportHelper.ImportType APPEND_TO_EXISTING
    APPEND_TO_EXISTING ImportType is used to refer when the ImportType we use is APPEND_TO_EXISTING.
    APPEND_TO_EXISTING import type is available only when the ImportFileType is MAPPINGMANAGER_EXCEL.
    In APPEND_TO_EXISTING the imported specifications will be appended to the existing specification. In case if the specifications already exists , it overwrites them.

  - ### DELETE_AND_RELOAD

    public static final MappingImportHelper.ImportType DELETE_AND_RELOAD
    DELETE_AND_RELOAD ImportType is used to refer when the ImportType we use is DELETE_AND_RELOAD.
    DELETE_AND_RELOAD import type is available only when the ImportFileType is MAPPINGMANAGER_EXCEL and MAPPINGMANAGER_XML.
    In DELETE_AND_RELOAD the existing specifications will be deleted and the imported specifications will be reloaded. In case even if the specifications already exists , it deletes and reloads them.

- ## Method Details

  - ### values

    public static MappingImportHelper.ImportType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MappingImportHelper.ImportType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null